// This code example is from the following source:
//
// Book Title:  Programming with Objects, A Comparative Presentation
//              of Object-Oriented Programming with C++ and Java
//
// Chapter:     Chapter 5 ----  Using the Container Classes
//
// Section:     Section 5.1.5 ---- Queue
//
// The links to the rest of the code in this book are at
//     
//      http://programming-with-objects.com/pwocode.html
//
// For further information regarding the book, please visit
//
//      http://programming-with-objects.com
//





//QueueOps.cc

#include <iostream>                        // for cout
#include <string>
#include <queue>                 
using namespace std;

int main()
{
    queue<string> q;      

    q.push( "roses" );
    q.push( "are" );
    q.push( "red" );

    while ( !q.empty() ) {
        cout << q.front() << " ";          // roses are red
        q.pop();
    }

    return 0;
}
